
package edu.uthscsa.ric.plugins.mangoplugin;

import java.net.URL;

import edu.uthscsa.ric.mango.MangoContext;
import edu.uthscsa.ric.mango.MangoData;
import edu.uthscsa.ric.mango.MangoPlugin;
import edu.uthscsa.ric.mango.ViewerController;
import edu.uthscsa.ric.mango.viewerslice.VolumeManager;
import edu.uthscsa.ric.volume.ImageVolume;


/**
 * This plugin will add one to every value in the image.
 * 
 * @author michaelmartinez
 * 
 */
public class ExamplePlugin implements MangoPlugin {

	@Override
	public void doOperation(MangoContext mango, VolumeManager viewer) {
		ImageVolume iv = viewer.getBaseVolume();
		long numberOfVoxels = iv.getImageDimensions().getNumVoxelsTimeseries();
		double value = 0;

		for (int ctr = 0; ctr < numberOfVoxels; ctr++) {
			value = iv.getVoxelValueForOffset(ctr);
			iv.putVoxelValueAtOffset(ctr, value + 1);
		}

		viewer.updateViewer();
	}



	@Deprecated
	@Override
	public void doOperation(MangoData data, ViewerController controller) {
		//		ScreenImage baseScreenImage = data.getBaseScreenImage();
		//		ImageVolume iv = baseScreenImage.getImageVolume();
		//		long numberOfVoxels = iv.getImageDimensions().getNumVoxelsTimeseries();
		//		double value = 0;
		//
		//		for (int ctr = 0; ctr < numberOfVoxels; ctr++) {
		//			value = iv.getVoxelValueForOffset(ctr);
		//			iv.putVoxelValueAtOffset(ctr, value + 1);
		//		}
		//
		//		controller.pluginOperationCompleted();
	}



	@Override
	public String getMinimumVersionSupported() {
		return null;
	}



	@Override
	public String getPluginName() {
		return "Add one to every voxel";
	}



	@Override
	public URL getPluginURL() {
		return null;
	}



	@Override
	public String getVersion() {
		return null;
	}



	@Override
	public boolean hasNewerVersion() {
		return false;
	}
}
