
package edu.uthscsa.ric.plugins.mangoplugin;

import java.io.InputStream;
import java.net.URL;

import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JPanel;

import edu.uthscsa.ric.mango.ImageLoader;
import edu.uthscsa.ric.volume.ImageDimensions;
import edu.uthscsa.ric.volume.VoxelDimensions;


/**
 * This will add a new tab in the Open > Open Online Image dialog.
 * 
 * @author michaelmartinez
 *
 */
public class ExampleLoader implements ImageLoader {

	private JComboBox<String> selectionBox;

	public static final String BASE_URL = "http://nifti.nimh.nih.gov/nifti-1/data/";
	private static final String[] FILENAMES = { "avg152T1_LR_nifti.nii.gz", "avg152T1_RL_nifti.nii.gz", "zstat1.nii.gz" };



	@Override
	public String getMinimumVersionSupported() {
		return null;
	}



	@Override
	public String getPluginName() {
		return "Load Sample NIFTI Data";
	}



	@Override
	public URL getPluginURL() {
		return null;
	}



	@Override
	public String getVersion() {
		return null;
	}



	@Override
	public boolean hasNewerVersion() {
		return false;
	}



	@Override
	public byte[] getData() {
		return null;
	}



	@Override
	public JPanel getImageSelectionPanel(final JButton loadButton) {
		selectionBox = new JComboBox<String>(FILENAMES);

		final JPanel panel = new JPanel();
		panel.setLayout(new BoxLayout(panel, BoxLayout.X_AXIS));
		panel.add(Box.createHorizontalGlue());
		panel.add(new JLabel("Example Images:"));
		panel.add(Box.createHorizontalStrut(4));
		panel.add(selectionBox);
		panel.add(Box.createHorizontalGlue());

		return panel;
	}



	@Override
	public InputStream getInputStream() {
		return null;
	}



	@Override
	public JPanel getOverlaySelectionPanel(final String imageName, final ImageDimensions id, final VoxelDimensions vd, final JButton loadButton) {
		return null;
	}



	@Override
	public JPanel getROISelectionPanel(final String imageName, final ImageDimensions id, final VoxelDimensions vd, final JButton loadButton) {
		return null;
	}



	@Override
	public String getSelectedAbsolutePath() {
		if (selectionBox != null) {
			return BASE_URL + selectionBox.getSelectedItem().toString();
		} else {
			return null;
		}
	}



	@Override
	public String getSelectedRelativePath() {
		return null;
	}



	@Override
	public boolean isImportingInWorldSpace() {
		return false;
	}



	@Override
	public boolean isImportingROI() {
		return false;
	}



	@Override
	public boolean isParametricOverlay() {
		return false;
	}



	@Override
	public boolean isPublic() {
		return true;
	}



	@Override
	public boolean isSaveable() {
		return false;
	}
}
