
package edu.uthscsa.ric.plugins.mangoplugin;

import java.net.URL;

import javax.vecmath.Point3d;

import com.jogamp.opengl.GL2;
import com.jogamp.opengl.GLAutoDrawable;
import com.jogamp.opengl.util.gl2.GLUT;

import edu.uthscsa.ric.visualization.surface.SurfaceController;
import edu.uthscsa.ric.visualization.surface.SurfacePlugin;
import edu.uthscsa.ric.volume.Coordinate;


public class ExampleSurfacePlugin implements SurfacePlugin {

	private final GLUT glut = new GLUT();
	private SurfaceController controller;



	@Override
	public String getMinimumVersionSupported() {
		return null;
	}



	@Override
	public String getPluginName() {
		return "Draw red sphere at intersection of crosshairs";
	}



	@Override
	public URL getPluginURL() {
		return null;
	}



	@Override
	public String getVersion() {
		return null;
	}



	@Override
	public boolean hasNewerVersion() {
		return false;
	}



	@Override
	public void display(final GLAutoDrawable drawable) {
		if (controller != null) {
			final GL2 gl = drawable.getGL().getGL2();

			final Coordinate coor = controller.getViewerController().getCurrentIndex(null);
			final Point3d point = controller.convertViewerCoordinateToSurfacePoint(coor, false);

			gl.glPushMatrix();
			gl.glTranslated(point.x, point.y, point.z);
			gl.glColor4d(1, 0, 0, 1); // red, opaque
			glut.glutSolidSphere(5, 20, 20);
			gl.glPopMatrix();
		}
	}



	@Override
	public void doOperation(final SurfaceController sc) {
		controller = sc;
		controller.addToDisplay(this);
	}
}
