
package edu.uthscsa.ric.volume;

/**
 * The result of a cluster operation.
 * 
 * @author michaelmartinez
 *
 */
public interface Cluster {

	/**
	 * Returns an analysis of this cluster region.
	 * 
	 * @return an analysis of this cluster region
	 */
	Analysis getAnalysis();



	/**
	 * Returns the ImageVolume associated with this cluster.
	 * 
	 * @return the ImageVolume associated with this cluster
	 */
	ImageVolume getVolume();
}
